<!-- ABOUT THE PROJECT -->
## About The Project
This is the official repo for the paper :
### Reconstructing image composition features: leading lines computation

<!-- GETTING STARTED -->
## Required libraries
python 3.11.3

numpy 1.24.3

scikit-image 0.20.0

PIL 9.4.0

argparse 1.1

<!-- USAGE EXAMPLES -->
## Usage
1. Clone this repo
```sh
git clone https://gogs.univ-littoral.fr/jzhang/leading_lines.git
```

2. Cd to the directory
```sh
cd leading_lines 
```

3. Execute
```sh
python LigneForce.py YOUR_INPUT_PATH 
```
such as 
```sh
python LigneForce.py ./testData
```

